package com.sdut.labex.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sdut.labex.entity.BorrowInfo;
import com.sdut.labex.utils.ResVo;

import java.util.List;

/**
 * @author springforest
 * @description 针对表【borrowInfo(借用记录)】的数据库操作Service
 * @createDate 2023-06-12 08:07:15
 */
public interface BorrowInfoService extends IService<BorrowInfo> {

    public ResVo borrow(List<String> timeList, BorrowInfo borrowInfo);

    public ResVo deleteBorrowInfoById(Integer id);

    public ResVo getBorrowInfo(BorrowInfo borrowInfo, int pageNum, int pageSize);

    public ResVo notBorrowedYet(List<String> timeList, String date);

    public int isBorrowed(BorrowInfo borrowInfo);


}
